// =====================================================================================================================
// The Sync List defined below, in conjunction with the User and Group WHERE clauses in configuration.js determines
// which users and groups are transferred from CA SDM to xMatters. The Sync List allows specific users or groups to
// be included or excluded based on their User ID.
//
// Users:
//
// To include users in the the synchronization, add the users to the XML and set the SYNC_ACTION parameter to include.
//
// To exclude users in the the synchronization, add the users to the XML  and set the SYNC_ACTION parameter to exclude.
//
// Groups:
//
// To include groups in the the synchronization, add the groups to the XML and set the SYNC_ACTION parameter to include.
//
// To exclude groups in the the synchronization, add the groups to the XML and set the SYNC_ACTION parameter to exclude.
//
// Empty lists:

// SYNC_ACTION of exclude with an empty user/group list will result in ALL users/groups being synchronized to xMatters,
// subject to the relevant WHERE clause in configuration.js.
//
// SYNC_ACTION of include with an empty user/group list will result in NO users/groups being synchronized to xMatters,
// irrespective of the relevant WHERE clause in configuration.js.
// =====================================================================================================================
var SYNC_ACTION = "exclude";

// Set USER_SEED_ONLY to true if users should only be added and not updated in xMatters
// from the synchronization process
var USER_SEED_ONLY = false;

// Set GROUP_SEED_ONLY to true if groups should only be added and not updated in xMatters
// from the synchronization process
var GROUP_SEED_ONLY = false;

var syncList = new XML();

syncList = <synclist>
             <users>
               <user>admin</user>
             </users>
             <groups>
               <group>Operations</group>
             </groups>
           </synclist>;