@echo off

rem Sample script to be used for executing APClient.bin to inject bridge
rem notifications into xMatters for CA Service Desk

rem IAHOME should be set to the location of APClient.bin.exe which is
rem installed with the Integration Agent.
rem (DEFAULT: C:\Program Files\AlarmPointSystems\IntegrationAgent\bin)
IF EXIST "C:\Program Files\AlarmPointSystems\IntegrationAgent\" (
	SET IAHOME=C:\Program Files\AlarmPointSystems\IntegrationAgent
)

IF EXIST "C:\Program Files\xmatters\integrationagent\bin\" (
	SET IAHOME=C:\Program Files\xmatters\integrationagent
)

rem integrationService should be set to the name of the integration service
rem the CA Service Desk Integration is defined as. (DEFAULT: caservicedesk)
SET INTEGRATION_SERVICE=casddataload-1-6-1
SET APCLIENT_CMD=%IAHOME%\bin\APClient.bin.exe

rem If %1 is set this is an event injection, otherwise this is a batch sync.
SET DATA_LOAD_ACTION=%1

IF NOT DEFINED DATA_LOAD_ACTION GOTO NO_ACTION

IF NOT "%DATA_LOAD_ACTION%"=="load" GOTO BAD_ACTION

echo "Starting xMatters Data Load"
SET TICKET_ID="load"
GOTO RUN_DATA_LOAD

:RUN_DATA_LOAD
echo "%APCLIENT_CMD%" --map-data %INTEGRATION_SERVICE% %DATA_LOAD_ACTION%
"%APCLIENT_CMD%" --map-data %INTEGRATION_SERVICE% %DATA_LOAD_ACTION%
GOTO DONE

:BAD_ACTION
:NO_ACTION
echo "usage: xmattersDataload load"
GOTO DONE

:DONE

