@echo off
setlocal

rem Sample script to be used for executing APClient.bin to inject 
rem notifications into xMatters for CA Service Desk

rem IAHOME should be set to the parent of the Integration Agent's bin folder.

rem (DEFAULT: C:\Program Files (x86)\xMatters\IntegrationAgent)
IF EXIST "C:\Program Files (x86)\xmatters\integrationagent\bin\" (
	SET "IAHOME=C:\Program Files (x86)\xmatters\integrationagent"
)

rem integrationService should be set to the name of the integration service
rem the CA Service Desk Integration is defined as. (DEFAULT: caservicedesk15)
SET INTEGRATION_SERVICE="caservicedesk-1-6-1|caservicedesk-1-6-1"
SET APCLIENT_CMD=%IAHOME%\bin\APClient.bin.exe

rem If %1 is set this is an event injection, otherwise this is a batch sync.
SET MAP_DATA_PARAMETER=%1
IF NOT DEFINED MAP_DATA_PARAMETER GOTO RUN_SYNC

rem Obtain the ticket id from the notification file it will be used as the message group for this integration.
rem This will set TICKET_ID to something like cr:38239840
FOR /F "delims=" %%i IN ('findstr /X "NX_NTF_PERSISTENT_ID=.*:[0-9]*" %MAP_DATA_PARAMETER%') DO SET NX_NTF_PERSISTENT_ID=%%i
SET TICKET_ID=%NX_NTF_PERSISTENT_ID:~21%
GOTO INJECT_EVENT

:RUN_SYNC
SET MAP_DATA_PARAMETER=load
SET TICKET_ID="load"
GOTO INJECT_EVENT

:INJECT_EVENT
echo "%APCLIENT_CMD%" --map-data %INTEGRATION_SERVICE% %MAP_DATA_PARAMETER% %TICKET_ID% 
"%APCLIENT_CMD%" --map-data %INTEGRATION_SERVICE% %MAP_DATA_PARAMETER% %TICKET_ID%
echo Finished running xmattersIntegration.bat

